Bug 1133217 - Review Request: f21-backgrounds - Fedora 21 default desktop background
Summary: Review Request: f21-backgrounds - Fedora 21 default desktop background
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1196347
TreeView+ depends on / blocked
 
Reported: 2014-08-23 11:22 UTC by Martin Sourada
Modified: 2015-02-25 18:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1196347 (view as bug list)
Environment:
Last Closed: 2014-08-28 09:48:48 UTC
Type: ---
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Sourada 2014-08-23 11:22:32 UTC
Spec URL: https://mso.fedorapeople.org/packages/SPECS/f21-backgrounds.spec
SRPM URL: https://mso.fedorapeople.org/packages/SRPMS/f21-backgrounds-20.91.0-2.fc20.src.rpm
Description: This package contains desktop backgrounds for the Fedora 21 default theme.
Fedora Account System Username: mso

Additional info:
Package structurally same as previous default themes, supplemental wallpapers will come later (I already have the images, but they don't need to be in alpha). Major change in naming scheme, since fedora no longer has codename. The packages are now to be called f#-backgrounds.

Tested in XFCE.

Rpmlint output comment: 
missing Docs OK, as the affected packages are dependant on the f21-backgrounds-base (sub)package that has the Docs, same with dangling symlinks.

URL will probably need to be created yet, I'll upload the Source0 ASAP.

Comment 1 Martin Sourada 2014-08-23 11:26:35 UTC
(In reply to Martin Sourada from comment #0)
> URL will probably need to be created yet
Scratch that, the URL is actually already up.

Comment 2 Christopher Meng 2014-08-23 15:10:02 UTC
Just out of curiosity, why not name it fedora-backgrounds with version which is equivalent to the current release number?

Comment 3 Martin Sourada 2014-08-23 16:22:24 UTC
(In reply to Christopher Meng from comment #2)
> Just out of curiosity, why not name it fedora-backgrounds with version which
> is equivalent to the current release number?

We want users to be able to install and use wallpapers from past releases as well.

Comment 4 Pierre-YvesChibon 2014-08-25 09:57:41 UTC
* Spec is clean
* License is CC-BY-SA
! Why the strange %version tag? I guess I can see a relation with Fedora 21 alpha, thus version is pre 21, but since the package is named f21, why not just use 0.1 for alpha, 0.2 for beta and 1.0 for release?
? You know probably better than I, but why is KDE having F21 while all the other desktops have f21?


* builds fine on F20
* rpmlint:
f21-backgrounds.noarch: W: no-documentation
f21-backgrounds-kde.noarch: W: no-documentation
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1680x1050.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/640x480.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1024x768.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/2048x1536.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1024x600.png ../../../../backgrounds/f21/default/tv-wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1440x900.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1280x720.png ../../../../backgrounds/f21/default/tv-wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1280x768.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1920x1080.png ../../../../backgrounds/f21/default/tv-wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1366x768.png ../../../../backgrounds/f21/default/tv-wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/800x480.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1280x1024.png ../../../../backgrounds/f21/default/normalish/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1152x864.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1600x1280.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1280x800.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1200x900.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/800x600.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1280x960.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1152x720.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1600x1200.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1920x1440.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1920x1200.png ../../../../backgrounds/f21/default/wide/f21.png
f21-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/F21/contents/images/1440x1080.png ../../../../backgrounds/f21/default/standard/f21.png
f21-backgrounds-gnome.noarch: W: no-documentation
f21-backgrounds-mate.noarch: W: no-documentation
f21-backgrounds-xfce.noarch: W: no-documentation
f21-backgrounds-xfce.noarch: W: dangling-relative-symlink /usr/share/xfce4/backdrops/f21.png ../../backgrounds/f21/default/wide/f21.png
6 packages and 0 specfiles checked; 0 errors, 29 warnings.

http://fedoraproject.org/wiki/Common_Rpmlint_issues#dangling-relative-symlink
says:
>  If your package contains both symlink and actual files, this can be safely ignored, otherwise please fix.
Since we do contain the original files, we can ignore these.
We can also ignore the lack of documentation (license file is pulled in by the base package)

* f21-backgrounds-20.91.0.tar.xz (src.rpm)
7770ac0c65a2ee20b855fc7efca14f0d1a388acb7787fb1c7bb9fa1d5da5bbab  f21-backgrounds-20.91.0.tar.xz

sha512sum f21-backgrounds-20.91.0.tar.xz  (upstream)
7770ac0c65a2ee20b855fc7efca14f0d1a388acb7787fb1c7bb9fa1d5da5bbab  f21-backgrounds-20.91.0.tar.xz


If you could answer the two comments at the top, I'll approve this package.

Comment 5 Martin Sourada 2014-08-25 10:46:05 UTC
(In reply to Pierre-YvesChibon from comment #4)
> * Spec is clean
> * License is CC-BY-SA
> ! Why the strange %version tag? I guess I can see a relation with Fedora 21
> alpha, thus version is pre 21, but since the package is named f21, why not
> just use 0.1 for alpha, 0.2 for beta and 1.0 for release?
Just following the scheme from previous releases. It could be used for virtual versioned provides of system-backgrounds-gnome, etc.; we currently don't use that, but the possibility is there, with this versioning scheme. 

> ? You know probably better than I, but why is KDE having F21 while all the
> other desktops have f21?
> 
Again, for historical reasons. We are used to small caps, but back in the day when the -kde package used to be separate, they were using title case. Thus I keep using that for the F21 as well as we used it in previous releases with normal names.

Comment 6 Pierre-YvesChibon 2014-08-25 11:43:31 UTC
(In reply to Martin Sourada from comment #5)
> (In reply to Pierre-YvesChibon from comment #4)
> > * Spec is clean
> > * License is CC-BY-SA
> > ! Why the strange %version tag? I guess I can see a relation with Fedora 21
> > alpha, thus version is pre 21, but since the package is named f21, why not
> > just use 0.1 for alpha, 0.2 for beta and 1.0 for release?
> Just following the scheme from previous releases. It could be used for
> virtual versioned provides of system-backgrounds-gnome, etc.; we currently
> don't use that, but the possibility is there, with this versioning scheme. 
> 
> > ? You know probably better than I, but why is KDE having F21 while all the
> > other desktops have f21?
> > 
> Again, for historical reasons. We are used to small caps, but back in the
> day when the -kde package used to be separate, they were using title case.
> Thus I keep using that for the F21 as well as we used it in previous
> releases with normal names.

Fair enough.

This package is APPROVED

Comment 7 Martin Sourada 2014-08-25 15:01:31 UTC
New Package SCM Request
=======================
Package Name: f21-backgrounds
Short Description: Fedora 21 desktop backgrounds
Upstream URL: https://fedoraproject.org/wiki/F21_Artwork
Owners: mso
Branches: f21
InitialCC: design-sw

Comment 8 Gwyn Ciesla 2014-08-26 12:16:22 UTC
Git done (by process-git-requests).

Comment 9 Martin Sourada 2014-08-28 09:48:48 UTC
Build done, present in repos now.


Note You need to log in before you can comment on or make changes to this bug.